/*****************************************************************************
*           Change Log
*  Date     | Change
*-----------+-----------------------------------------------------------------
* 23-Nov-85 | [1.89] Created change log
* 23-Nov-85 | [1.89] Added 'lit' parameter
* 12-Dec-85 | [1.175] Added display_wm field
* 22-Feb-86 | [1.362] id is now char * for compatibility with display 
*           | technology which wants string
* 31-Jul-86 | [1.405] Char now unsigned
*****************************************************************************/
typedef struct
   {
    coord X;
    coord Y;
    char * id;
    unsigned char data;
    unsigned char old_data;
    boolean lit;
    boolean display_wm;
   } data_register;

void zap_data(data_register * D);
void light_data(data_register * D, boolean set);
void light_O(boolean set);
void show_O( unsigned char data);
void show_A( unsigned char data);
void show_B( unsigned char data);
extern void draw_data_boxes(void);
void display_data( data_register * D );
